Package org.jboss.modules.management

# Class ModuleInfo

java.lang.Object
org.jboss.modules.management.ModuleInfo

public final class ModuleInfo extends Object
Management information about a module instance.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`ModuleInfo(String name, ModuleLoaderMXBean moduleLoader, List<DependencyInfo> dependencies, List<ResourceLoaderInfo> resourceLoaders, String mainClass, String classLoader, String fallbackLoader)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassLoader()`
Get the class loader (as a string).
`List<DependencyInfo>`
`getDependencies()`
Get the dependency information list.
`String`
`getFallbackLoader()`
Get the fallback loader (as a string).
`String`
`getMainClass()`
Get the main class name.
`ModuleLoaderMXBean`
`getModuleLoader()`
Get the associated module loader MXBean.
`String`
`getName()`
Get the name of the corresponding module.
`List<ResourceLoaderInfo>`
`getResourceLoaders()`
Get the resource loader information list.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModuleInfo

@ConstructorProperties({"name","moduleLoader","dependencies","resourceLoaders","mainClass","classLoader","fallbackLoader"}) public ModuleInfo(String name, ModuleLoaderMXBean moduleLoader, List<DependencyInfo> dependencies, List<ResourceLoaderInfo> resourceLoaders, String mainClass, String classLoader, String fallbackLoader)
Construct a new instance.

Parameters:
  `name` - the module name
  `moduleLoader` - the module loader
  `dependencies` - the dependencies list
  `resourceLoaders` - the resource loaders list
  `mainClass` - the main class name
  `classLoader` - the class loader
  `fallbackLoader` - the fallback loader

## Method Details

### getName

public String getName()
Get the name of the corresponding module.

Returns:
  the name of the corresponding module

### getModuleLoader

public ModuleLoaderMXBean getModuleLoader()
Get the associated module loader MXBean.

Returns:
  the associated module loader MXBean

### getDependencies

public List<DependencyInfo> getDependencies()
Get the dependency information list.

Returns:
  the dependency information list

### getResourceLoaders

public List<ResourceLoaderInfo> getResourceLoaders()
Get the resource loader information list.

Returns:
  the resource loader information list

### getMainClass

public String getMainClass()
Get the main class name.

Returns:
  the main class name

### getClassLoader

public String getClassLoader()
Get the class loader (as a string).

Returns:
  the class loader (as a string)

### getFallbackLoader

public String getFallbackLoader()
Get the fallback loader (as a string).

Returns:
  the fallback loader (as a string)